libdevice User's Guide (PDF) - v10.1.105 (older) - Last updated February 8, 2019 - Send Feedback

## 3.100. __nv_fast_cosf

Prototype:

    float @__nv_fast_cosf(float %x)

Description:

Calculate the fast approximate cosine of the input argument `x`, measured in radians.

Returns:

Returns the approximate cosine of `x`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.2, Table 9.

Input and output in the denormal range is flushed to sign preserving 0.0.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes